Package es.imim.DISGENET.internal.linkout

# Class LinkoutDiseaseTask

java.lang.Object
org.cytoscape.work.AbstractTask
es.imim.DISGENET.internal.linkout.LinkoutNodeTask
es.imim.DISGENET.internal.linkout.LinkoutDiseaseTask

All Implemented Interfaces:
  `org.cytoscape.work.Task`

public class LinkoutDiseaseTask extends LinkoutNodeTask implements org.cytoscape.work.Task

## Field Summary

### Fields inherited from class org.cytoscape.work.AbstractTask

`cancelled`

## Constructor Summary

Constructors
Constructor
Description
`LinkoutDiseaseTask(org.cytoscape.model.CyNetwork cyNetwork, org.cytoscape.model.CyNode cyNode)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(org.cytoscape.work.TaskMonitor taskMonitor)`

### Methods inherited from class es.imim.DISGENET.internal.linkout.LinkoutNodeTask

`getOpenBrowser, setOpenBrowser`

### Methods inherited from class org.cytoscape.work.AbstractTask

`cancel, getTaskIterator, insertTasksAfterCurrentTask, insertTasksAfterCurrentTask, setTaskIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.cytoscape.work.Task

`cancel`

## Constructor Details

### LinkoutDiseaseTask

public LinkoutDiseaseTask(org.cytoscape.model.CyNetwork cyNetwork, org.cytoscape.model.CyNode cyNode)

## Method Details

### run

public void run(org.cytoscape.work.TaskMonitor taskMonitor) throws Exception

Specified by:
  `run` in interface `org.cytoscape.work.Task`
Specified by:
  `run` in class `org.cytoscape.work.AbstractTask`
Throws:
  `Exception`